import { Signer } from 'ethers';
import { Provider } from '@ethersproject/providers';
import { VRFConsumerBaseInterface, VRFConsumerBase } from '../VRFConsumerBase.js';
import '@ethersproject/abi';
import '../common.js';

declare class VRFConsumerBase__factory {
    static readonly abi: {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: never[];
        stateMutability: string;
        type: string;
    }[];
    static createInterface(): VRFConsumerBaseInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): VRFConsumerBase;
}

export { VRFConsumerBase__factory };
